Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158916 - CAN-2004-0175 malicious rsh server can cause rcp to write to arbitrary files
Summary: CAN-2004-0175 malicious rsh server can cause rcp to write to arbitrary files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rsh
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20000901
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 20:29 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-495
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 12:23:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:495 normal SHIPPED_LIVE Low: rsh security update 2005-06-13 04:00:00 UTC

Description Josh Bressers 2005-05-26 20:29:23 UTC
+++ This bug was initially created as a clone of Bug #120147 +++

Back in 2000 it was reported that a malicious ssh server could cause
scp to write to arbitrary files outside of the current directory. 
See:    
http://cert.uni-stuttgart.de/archive/bugtraq/2000/09/msg00499.html

This is a valid behaviour of the rcp protocol.

The issue was rediscovered in Mar 2004 and discussed amongst OSS
vendors, with Markus Friedl from OpenBSD writing a proposed patch for
this issue but warned that it needed a lot of testing:
        
http://www.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/scp.c.diff?r1=1.113&r2=1.114

Comment 1 Josh Bressers 2005-05-26 20:30:35 UTC
My notes list this issue as affecting rsh only on RHEL2.1.  I'm not sure what
upstream has done to fix this issue.

Comment 2 Josh Bressers 2005-06-02 19:35:26 UTC
Ping on this issue

Comment 3 Karel Zak 2005-06-02 19:45:00 UTC
I have a patch that fix this problem (already included in RHEL3, RHEL4 and FCx).
I'm going to reease it for AS2.1 ASAP (probably next week).

Comment 4 Josh Bressers 2005-06-02 19:50:42 UTC
Karel,

If you give me the n-v-r, I'd be more than happy to write the errata for you. 
Thanks.

Comment 5 Karel Zak 2005-06-06 09:10:18 UTC
Thanks Josh. It wasn't so big problem create new errata as copy from old one :-)

errata: RHSA-2005:495
package: rsh-0.17-18.AS21.4.

Comment 6 Josh Bressers 2005-06-13 12:23:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-495.html



Note You need to log in before you can comment on or make changes to this bug.